package com.zanxiang.manage.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author : lingfeng
 * @time : 2022-11-17
 * @description : 推广媒体展示
 */
@Data
public class PromoMediaListVO {

    /**
     * 主键
     */
    @ApiModelProperty(notes = "主键")
    private Long id;

    /**
     * 推广媒体
     */
    @ApiModelProperty(notes = "推广媒体")
    private String name;

    /**
     * 推广媒体类型, 多个则逗号分割
     */
    @ApiModelProperty(notes = "推广媒体类型, 多个则逗号分割")
    private String types;

    /**
     * 推广媒体类型名称列表
     */
    @ApiModelProperty(notes = "推广媒体类型名称列表")
    private List<String> typeNameList;

    /**
     * 地址
     */
    @ApiModelProperty(notes = "地址")
    private String address;

    /**
     * 公司
     */
    @ApiModelProperty(notes = "公司")
    private String company;

    /**
     * 状态, 0 : 可用, 1: 禁用
     */
    @ApiModelProperty(notes = "状态, 0 : 可用, 1: 禁用")
    private Integer status;

    /**
     * 备注
     */
    @ApiModelProperty(notes = "备注")
    private String remark;
}
